Index: t3lib/class.t3lib_pagetree.php
===================================================================
--- t3lib/class.t3lib_pagetree.php	(revision 8742)
+++ t3lib/class.t3lib_pagetree.php	(revision )
@@ -1,29 +1,29 @@
 <?php
 /***************************************************************
-*  Copyright notice
-*
-*  (c) 1999-2010 Kasper Skårhøj (kasperYYYY@typo3.com)
-*  All rights reserved
-*
-*  This script is part of the TYPO3 project. The TYPO3 project is
-*  free software; you can redistribute it and/or modify
-*  it under the terms of the GNU General Public License as published by
-*  the Free Software Foundation; either version 2 of the License, or
-*  (at your option) any later version.
-*
-*  The GNU General Public License can be found at
-*  http://www.gnu.org/copyleft/gpl.html.
-*  A copy is found in the textfile GPL.txt and important notices to the license
-*  from the author is found in LICENSE.txt distributed with these scripts.
-*
-*
-*  This script is distributed in the hope that it will be useful,
-*  but WITHOUT ANY WARRANTY; without even the implied warranty of
-*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-*  GNU General Public License for more details.
-*
-*  This copyright notice MUST APPEAR in all copies of the script!
-***************************************************************/
+ *  Copyright notice
+ *
+ *  (c) 1999-2010 Kasper Skårhøj (kasperYYYY@typo3.com)
+ *  All rights reserved
+ *
+ *  This script is part of the TYPO3 project. The TYPO3 project is
+ *  free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ *  The GNU General Public License can be found at
+ *  http://www.gnu.org/copyleft/gpl.html.
+ *  A copy is found in the textfile GPL.txt and important notices to the license
+ *  from the author is found in LICENSE.txt distributed with these scripts.
+ *
+ *
+ *  This script is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  This copyright notice MUST APPEAR in all copies of the script!
+ ***************************************************************/
 /**
  * Generate a page-tree, non-browsable.
  *
@@ -39,10 +39,10 @@
  *
  *
  *   78: class t3lib_pageTree extends t3lib_treeView
- *   90:     function init($clause='')
+ *   90:	 function init($clause='')
- *  106:     function expandNext($id)
+ *  106:	 function expandNext($id)
- *  123:     function PMicon($row,$a,$c,$nextCount,$exp)
+ *  123:	 function PMicon($row,$a,$c,$nextCount,$exp)
- *  138:     function initializePositionSaving()
+ *  138:	 function initializePositionSaving()
  *
  * TOTAL FUNCTIONS: 4
  * (This index is automatically created/updated by the extension "extdeveval")
@@ -50,21 +50,6 @@
  */
 
 
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
 /**
  * Class for generating a page tree.
  *
@@ -74,8 +59,16 @@
  * @package TYPO3
  * @subpackage t3lib
  */
-class t3lib_pageTree extends t3lib_treeView	{
+class t3lib_pageTree extends t3lib_treeView {
-	var $fieldArray = array('uid', 'title', 'doktype', 'php_tree_stop', 't3ver_id', 't3ver_state', 't3ver_swapmode');
+	var $fieldArray = array(
+		'uid',
+		'title',
+		'doktype',
+		'php_tree_stop',
+		't3ver_id',
+		't3ver_state',
+		't3ver_swapmode'
+	);
 	var $defaultList = 'uid,pid,tstamp,sorting,deleted,perms_userid,perms_groupid,perms_user,perms_group,perms_everybody,crdate,cruser_id';
 	var $setRecs = 0;
 
@@ -86,17 +79,24 @@
 	 * @param	string		Part of where query which will filter out non-readable pages.
 	 * @return	void
 	 */
-	function init($clause='')	{
+	function init($clause = '') {
-		parent::init(' AND deleted=0 '.$clause, 'sorting');
+		parent::init(' AND deleted=0 ' . $clause, 'sorting');
 
-		if (t3lib_extMgm::isLoaded('cms'))	{
+		if (t3lib_extMgm::isLoaded('cms')) {
 			$this->fieldArray = array_merge(
 				$this->fieldArray,
-				array('hidden', 'starttime', 'endtime', 'fe_group', 'module', 'extendToSubpages', 'nav_hide')
+				array(
+					 'hidden',
+					 'starttime',
+					 'endtime',
+					 'fe_group',
+					 'module',
+					 'extendToSubpages',
+					 'nav_hide')
 			);
 		}
-		$this->table='pages';
+		$this->table = 'pages';
-		$this->treeName='pages';
+		$this->treeName = 'pages';
 	}
 
 	/**
@@ -105,7 +105,7 @@
 	 * @param	integer		ID (uid) to test for (see extending classes where this is checked againts session data)
 	 * @return	boolean
 	 */
-	function expandNext($id)	{
+	function expandNext($id) {
 		return 1;
 	}
 
@@ -122,10 +122,11 @@
 	 * @access private
 	 * @see t3lib_treeView::PMicon()
 	 */
-	function PMicon($row,$a,$c,$nextCount,$exp)	{
+	function PMicon($row, $a, $c, $nextCount, $exp) {
 		$PM = 'join';
-		$BTM = ($a==$c)?'bottom':'';
+		$BTM = ($a == $c) ? 'bottom' : '';
-		$icon = '<img'.t3lib_iconWorks::skinImg($this->backPath,'gfx/ol/'.$PM.$BTM.'.gif','width="18" height="16"').' alt="" />';
+		$icon = '<img' . t3lib_iconWorks::skinImg($this->backPath, 'gfx/ol/' . $PM . $BTM . '.gif', 'width="18" height="16"') . ' alt="" />';
+
 		return $icon;
 	}
 
@@ -137,13 +138,13 @@
 	 * @return	void
 	 * @access private
 	 */
-	function initializePositionSaving()	{
+	function initializePositionSaving() {
-		$this->stored=array();
+		$this->stored = array();
 	}
 }
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['t3lib/class.t3lib_pagetree.php'])	{
+if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['t3lib/class.t3lib_pagetree.php']) {
 	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['t3lib/class.t3lib_pagetree.php']);
 }
 ?>
\ No newline at end of file